#
# spec file for package perl-XSLoader
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-XSLoader
Version:        0.24
Release:        1.30
%define cpan_name XSLoader
Summary:        Dynamically load C libraries into Perl code
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/XSLoader/
Source0:        https://cpan.metacpan.org/authors/id/S/SA/SAPER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
# MANUAL
#BuildArch:     noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module defines a standard _simplified_ interface to the dynamic
linking mechanisms available on many platforms. Its primary purpose is to
implement cheap automatic dynamic loading of Perl modules.

For a more complicated interface, see DynaLoader. Many (most) features of
'DynaLoader' are not implemented in 'XSLoader', like for example the
'dl_load_flags', not honored by 'XSLoader'.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Wed Apr  5 2017 coolo@suse.com
- updated to 0.24
  see /usr/share/doc/packages/perl-XSLoader/Changes
* Mon Mar 31 2014 srinidhi@novell.com
- updated to 0.16
  - [CODE] Synced from bleadperl.
  - [DOC] CPAN-RT #77294: Fixed some spelling and grammer errors.
  - [TESTS] CPAN-RT #77557: Tests started to fail with Perl 5.15.5
  - [DIST] Perl-RT #114050: Added meta-information in Makefile.PL to
    reflect that the module is maintained by P5P
* Fri Apr 29 2011 coolo@opensuse.org
- updated to 0.15
  - [DIST] CPAN-RT#54456: Set INSTALLDIRS to "site" when installed on
    Perl 5.11+ (thanks to Todd Rinaldo).
  - [DOC] Document a known bug under Perl 5.8.4 and 5.8.5.
  - [TESTS] Fixed tests to pass under Perl 5.8.4 and 5.8.5.
  - [CODE] Updated from bleadperl:
  - XSLoader::load() with no arguments can use caller to find
    a default package (Nicholas Clark).
  - Avoid defining a full XSLoader::bootstrap_inherit post 5.6,
    as it's not needed (Nicholas Clark).
  - Small optimisation: for the generated XSLoader.pm, avoid a
    runtime lexical which is constant (Nicholas Clark).
  - [TESTS] Updated from bleadperl, solving RT-CPAN #54132, #61332.
  - [TESTS] Fixed tests for old Perls.
  - [TESTS] Added t/00-load.t and t/01-api.t, to provide basic tests
    when the main ones are skipped.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Dec 26 2009 lars@linux-schulserver.de
- initial version 0.10
